Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 2679993002: Run FileSelectHelper::ProcessSelectedFilesMac in parallel in TaskScheduler. (Closed)

Created:
1 year, 5 months ago by fdoray
Modified:
9 months, 2 weeks ago
CC:
chromium-reviews, mac-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Run FileSelectHelper::ProcessSelectedFilesMac in parallel in TaskScheduler. Previously, this task was posted to the FILE_USER_BLOCKING thread which is being deprecated. BUG=689520 Review-Url: https://codereview.chromium.org/2679993002 Cr-Commit-Position: refs/heads/master@{#450331} Committed: https://chromium.googlesource.com/chromium/src/+/7b90f697aaa909eac016f0217f690fc6e267c2f9

Patch Set 1 #

Patch Set 2 : self-review #

Patch Set 3 : include #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -8 lines) Patch
M chrome/browser/file_select_helper.cc View 1 2 3 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/file_select_helper_mac.mm View 1 chunk +0 lines, -2 lines 0 comments Download

Messages

Total messages: 27 (15 generated)
fdoray
PTAL Note: When tasks were posted to the FILE_USER_BLOCKING, they could not run in parallel ...
1 year, 5 months ago (2017-02-07 15:28:10 UTC) #8
fdoray
On 2017/02/07 15:28:10, fdoray wrote: > PTAL > > Note: When tasks were posted to ...
1 year, 5 months ago (2017-02-13 16:53:25 UTC) #9
erikchen
lgtm
1 year, 5 months ago (2017-02-13 18:09:07 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2679993002/20001
1 year, 5 months ago (2017-02-13 18:14:29 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/362928)
1 year, 5 months ago (2017-02-13 18:23:48 UTC) #14
fdoray
PTAL
1 year, 5 months ago (2017-02-13 19:57:22 UTC) #16
fdoray
jochen@: PTAL
1 year, 5 months ago (2017-02-13 19:57:35 UTC) #17
jochen (gone - plz use gerrit)
lgtm
1 year, 5 months ago (2017-02-14 09:05:13 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2679993002/40001
1 year, 5 months ago (2017-02-14 11:58:22 UTC) #21
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/7b90f697aaa909eac016f0217f690fc6e267c2f9
1 year, 5 months ago (2017-02-14 13:02:55 UTC) #24
gab
To comment on file_select_helper.h still mentions that ProcessSelectedFilesMac() should be called on the FILE_USER_BLOCKING thread ...
11 months, 1 week ago (2017-08-10 17:24:03 UTC) #26
gab
9 months, 2 weeks ago (2017-09-29 16:22:22 UTC) #27
Message was sent while issue was closed.
ping

Le jeu. 10 août 2017 13 h 24, <gab@chromium.org> a écrit :

> To comment on file_select_helper.h still mentions that
> ProcessSelectedFilesMac()
> should be called on the FILE_USER_BLOCKING thread (which is no more).
>
> Shouldn't these have been migrated to USER_BLOCKING priority? Either way,
> need
> to cleanup comment.
>
> https://codereview.chromium.org/2679993002/
>

-- 
You received this message because you are subscribed to the Google Groups
"Chromium-reviews" group.
To unsubscribe from this group and stop receiving emails from it, send an email
to chromium-reviews+unsubscribe@chromium.org.

Powered by Google App Engine
This is Rietveld 408576698